IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
3c19::/16- First address
3c19::- Last address
3c19:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
3c19:0000:0000:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
9.1.c.3.ip6.arpa
Split into smaller subnets
3c19::/16 makes 256 subnets of /24.
| # | Subnet | Last address |
|---|---|---|
| 1 | 3c19::/24 | 3c19:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | 3c19:100::/24 | 3c19:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | 3c19:200::/24 | 3c19:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | 3c19:300::/24 | 3c19:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | 3c19:400::/24 | 3c19:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | 3c19:500::/24 | 3c19:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | 3c19:600::/24 | 3c19:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | 3c19:700::/24 | 3c19:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | 3c19:800::/24 | 3c19:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | 3c19:900::/24 | 3c19:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | 3c19:a00::/24 | 3c19:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | 3c19:b00::/24 | 3c19:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | 3c19:c00::/24 | 3c19:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | 3c19:d00::/24 | 3c19:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | 3c19:e00::/24 | 3c19:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | 3c19:f00::/24 | 3c19:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | 3c19:1000::/24 | 3c19:10ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | 3c19:1100::/24 | 3c19:11ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | 3c19:1200::/24 | 3c19:12ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | 3c19:1300::/24 | 3c19:13ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | 3c19:1400::/24 | 3c19:14ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | 3c19:1500::/24 | 3c19:15ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | 3c19:1600::/24 | 3c19:16ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | 3c19:1700::/24 | 3c19:17ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | 3c19:1800::/24 | 3c19:18ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | 3c19:1900::/24 | 3c19:19ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | 3c19:1a00::/24 | 3c19:1aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | 3c19:1b00::/24 | 3c19:1bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | 3c19:1c00::/24 | 3c19:1cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | 3c19:1d00::/24 | 3c19:1dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | 3c19:1e00::/24 | 3c19:1eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | 3c19:1f00::/24 | 3c19:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | 3c19:2000::/24 | 3c19:20ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | 3c19:2100::/24 | 3c19:21ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | 3c19:2200::/24 | 3c19:22ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | 3c19:2300::/24 | 3c19:23ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | 3c19:2400::/24 | 3c19:24ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | 3c19:2500::/24 | 3c19:25ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | 3c19:2600::/24 | 3c19:26ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | 3c19:2700::/24 | 3c19:27ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | 3c19:2800::/24 | 3c19:28ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | 3c19:2900::/24 | 3c19:29ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | 3c19:2a00::/24 | 3c19:2aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | 3c19:2b00::/24 | 3c19:2bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | 3c19:2c00::/24 | 3c19:2cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | 3c19:2d00::/24 | 3c19:2dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | 3c19:2e00::/24 | 3c19:2eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | 3c19:2f00::/24 | 3c19:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | 3c19:3000::/24 | 3c19:30ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | 3c19:3100::/24 | 3c19:31ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | 3c19:3200::/24 | 3c19:32ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | 3c19:3300::/24 | 3c19:33ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | 3c19:3400::/24 | 3c19:34ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | 3c19:3500::/24 | 3c19:35ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | 3c19:3600::/24 | 3c19:36ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | 3c19:3700::/24 | 3c19:37ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | 3c19:3800::/24 | 3c19:38ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | 3c19:3900::/24 | 3c19:39ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | 3c19:3a00::/24 | 3c19:3aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | 3c19:3b00::/24 | 3c19:3bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | 3c19:3c00::/24 | 3c19:3cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | 3c19:3d00::/24 | 3c19:3dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | 3c19:3e00::/24 | 3c19:3eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | 3c19:3f00::/24 | 3c19:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | 3c19:4000::/24 | 3c19:40ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | 3c19:4100::/24 | 3c19:41ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | 3c19:4200::/24 | 3c19:42ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | 3c19:4300::/24 | 3c19:43ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | 3c19:4400::/24 | 3c19:44ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | 3c19:4500::/24 | 3c19:45ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | 3c19:4600::/24 | 3c19:46ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | 3c19:4700::/24 | 3c19:47ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | 3c19:4800::/24 | 3c19:48ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | 3c19:4900::/24 | 3c19:49ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | 3c19:4a00::/24 | 3c19:4aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | 3c19:4b00::/24 | 3c19:4bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | 3c19:4c00::/24 | 3c19:4cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | 3c19:4d00::/24 | 3c19:4dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | 3c19:4e00::/24 | 3c19:4eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | 3c19:4f00::/24 | 3c19:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | 3c19:5000::/24 | 3c19:50ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | 3c19:5100::/24 | 3c19:51ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | 3c19:5200::/24 | 3c19:52ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | 3c19:5300::/24 | 3c19:53ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | 3c19:5400::/24 | 3c19:54ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | 3c19:5500::/24 | 3c19:55ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | 3c19:5600::/24 | 3c19:56ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | 3c19:5700::/24 | 3c19:57ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | 3c19:5800::/24 | 3c19:58ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | 3c19:5900::/24 | 3c19:59ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | 3c19:5a00::/24 | 3c19:5aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | 3c19:5b00::/24 | 3c19:5bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | 3c19:5c00::/24 | 3c19:5cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | 3c19:5d00::/24 | 3c19:5dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | 3c19:5e00::/24 | 3c19:5eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | 3c19:5f00::/24 | 3c19:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | 3c19:6000::/24 | 3c19:60ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | 3c19:6100::/24 | 3c19:61ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | 3c19:6200::/24 | 3c19:62ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | 3c19:6300::/24 | 3c19:63ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | 3c19:6400::/24 | 3c19:64ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | 3c19:6500::/24 | 3c19:65ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | 3c19:6600::/24 | 3c19:66ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | 3c19:6700::/24 | 3c19:67ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | 3c19:6800::/24 | 3c19:68ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | 3c19:6900::/24 | 3c19:69ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | 3c19:6a00::/24 | 3c19:6aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | 3c19:6b00::/24 | 3c19:6bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | 3c19:6c00::/24 | 3c19:6cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | 3c19:6d00::/24 | 3c19:6dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | 3c19:6e00::/24 | 3c19:6eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | 3c19:6f00::/24 | 3c19:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | 3c19:7000::/24 | 3c19:70ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | 3c19:7100::/24 | 3c19:71ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | 3c19:7200::/24 | 3c19:72ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | 3c19:7300::/24 | 3c19:73ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | 3c19:7400::/24 | 3c19:74ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | 3c19:7500::/24 | 3c19:75ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | 3c19:7600::/24 | 3c19:76ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | 3c19:7700::/24 | 3c19:77ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | 3c19:7800::/24 | 3c19:78ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | 3c19:7900::/24 | 3c19:79ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | 3c19:7a00::/24 | 3c19:7aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | 3c19:7b00::/24 | 3c19:7bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | 3c19:7c00::/24 | 3c19:7cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | 3c19:7d00::/24 | 3c19:7dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | 3c19:7e00::/24 | 3c19:7eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | 3c19:7f00::/24 | 3c19:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | 3c19:8000::/24 | 3c19:80ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | 3c19:8100::/24 | 3c19:81ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | 3c19:8200::/24 | 3c19:82ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | 3c19:8300::/24 | 3c19:83ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | 3c19:8400::/24 | 3c19:84ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | 3c19:8500::/24 | 3c19:85ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | 3c19:8600::/24 | 3c19:86ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | 3c19:8700::/24 | 3c19:87ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | 3c19:8800::/24 | 3c19:88ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | 3c19:8900::/24 | 3c19:89ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | 3c19:8a00::/24 | 3c19:8aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | 3c19:8b00::/24 | 3c19:8bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | 3c19:8c00::/24 | 3c19:8cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | 3c19:8d00::/24 | 3c19:8dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | 3c19:8e00::/24 | 3c19:8eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | 3c19:8f00::/24 | 3c19:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | 3c19:9000::/24 | 3c19:90ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | 3c19:9100::/24 | 3c19:91ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | 3c19:9200::/24 | 3c19:92ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | 3c19:9300::/24 | 3c19:93ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | 3c19:9400::/24 | 3c19:94ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | 3c19:9500::/24 | 3c19:95ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | 3c19:9600::/24 | 3c19:96ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | 3c19:9700::/24 | 3c19:97ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | 3c19:9800::/24 | 3c19:98ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | 3c19:9900::/24 | 3c19:99ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | 3c19:9a00::/24 | 3c19:9aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | 3c19:9b00::/24 | 3c19:9bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | 3c19:9c00::/24 | 3c19:9cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | 3c19:9d00::/24 | 3c19:9dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | 3c19:9e00::/24 | 3c19:9eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | 3c19:9f00::/24 | 3c19:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | 3c19:a000::/24 | 3c19:a0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | 3c19:a100::/24 | 3c19:a1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | 3c19:a200::/24 | 3c19:a2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | 3c19:a300::/24 | 3c19:a3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | 3c19:a400::/24 | 3c19:a4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | 3c19:a500::/24 | 3c19:a5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | 3c19:a600::/24 | 3c19:a6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | 3c19:a700::/24 | 3c19:a7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | 3c19:a800::/24 | 3c19:a8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | 3c19:a900::/24 | 3c19:a9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | 3c19:aa00::/24 | 3c19:aaff:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | 3c19:ab00::/24 | 3c19:abff:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | 3c19:ac00::/24 | 3c19:acff:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | 3c19:ad00::/24 | 3c19:adff:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | 3c19:ae00::/24 | 3c19:aeff:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | 3c19:af00::/24 | 3c19:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | 3c19:b000::/24 | 3c19:b0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | 3c19:b100::/24 | 3c19:b1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | 3c19:b200::/24 | 3c19:b2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | 3c19:b300::/24 | 3c19:b3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | 3c19:b400::/24 | 3c19:b4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | 3c19:b500::/24 | 3c19:b5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | 3c19:b600::/24 | 3c19:b6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | 3c19:b700::/24 | 3c19:b7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | 3c19:b800::/24 | 3c19:b8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | 3c19:b900::/24 | 3c19:b9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | 3c19:ba00::/24 | 3c19:baff:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | 3c19:bb00::/24 | 3c19:bbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | 3c19:bc00::/24 | 3c19:bcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | 3c19:bd00::/24 | 3c19:bdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | 3c19:be00::/24 | 3c19:beff:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | 3c19:bf00::/24 | 3c19:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | 3c19:c000::/24 | 3c19:c0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | 3c19:c100::/24 | 3c19:c1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | 3c19:c200::/24 | 3c19:c2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | 3c19:c300::/24 | 3c19:c3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | 3c19:c400::/24 | 3c19:c4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | 3c19:c500::/24 | 3c19:c5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | 3c19:c600::/24 | 3c19:c6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | 3c19:c700::/24 | 3c19:c7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | 3c19:c800::/24 | 3c19:c8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | 3c19:c900::/24 | 3c19:c9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | 3c19:ca00::/24 | 3c19:caff:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | 3c19:cb00::/24 | 3c19:cbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | 3c19:cc00::/24 | 3c19:ccff:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | 3c19:cd00::/24 | 3c19:cdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | 3c19:ce00::/24 | 3c19:ceff:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | 3c19:cf00::/24 | 3c19:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | 3c19:d000::/24 | 3c19:d0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | 3c19:d100::/24 | 3c19:d1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | 3c19:d200::/24 | 3c19:d2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | 3c19:d300::/24 | 3c19:d3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | 3c19:d400::/24 | 3c19:d4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | 3c19:d500::/24 | 3c19:d5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | 3c19:d600::/24 | 3c19:d6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | 3c19:d700::/24 | 3c19:d7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | 3c19:d800::/24 | 3c19:d8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | 3c19:d900::/24 | 3c19:d9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | 3c19:da00::/24 | 3c19:daff:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | 3c19:db00::/24 | 3c19:dbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | 3c19:dc00::/24 | 3c19:dcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | 3c19:dd00::/24 | 3c19:ddff:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | 3c19:de00::/24 | 3c19:deff:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | 3c19:df00::/24 | 3c19:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | 3c19:e000::/24 | 3c19:e0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | 3c19:e100::/24 | 3c19:e1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | 3c19:e200::/24 | 3c19:e2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | 3c19:e300::/24 | 3c19:e3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | 3c19:e400::/24 | 3c19:e4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | 3c19:e500::/24 | 3c19:e5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | 3c19:e600::/24 | 3c19:e6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | 3c19:e700::/24 | 3c19:e7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | 3c19:e800::/24 | 3c19:e8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | 3c19:e900::/24 | 3c19:e9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | 3c19:ea00::/24 | 3c19:eaff:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | 3c19:eb00::/24 | 3c19:ebff:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | 3c19:ec00::/24 | 3c19:ecff:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | 3c19:ed00::/24 | 3c19:edff:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | 3c19:ee00::/24 | 3c19:eeff:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | 3c19:ef00::/24 | 3c19:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | 3c19:f000::/24 | 3c19:f0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | 3c19:f100::/24 | 3c19:f1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | 3c19:f200::/24 | 3c19:f2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | 3c19:f300::/24 | 3c19:f3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | 3c19:f400::/24 | 3c19:f4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | 3c19:f500::/24 | 3c19:f5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | 3c19:f600::/24 | 3c19:f6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | 3c19:f700::/24 | 3c19:f7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | 3c19:f800::/24 | 3c19:f8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | 3c19:f900::/24 | 3c19:f9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | 3c19:fa00::/24 | 3c19:faff:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | 3c19:fb00::/24 | 3c19:fbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | 3c19:fc00::/24 | 3c19:fcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | 3c19:fd00::/24 | 3c19:fdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | 3c19:fe00::/24 | 3c19:feff:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | 3c19:ff00::/24 | 3c19:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |